config_dict = {
    "DOXYFILE_ENCODING": "UTF-8",
    "PROJECT_NAME": "Demo",
    "CREATE_SUBDIRS": "NO",
    "ALLOW_UNICODE_NAMES": "NO",
    "OUTPUT_LANGUAGE": "English",
    "BRIEF_MEMBER_DESC": "YES",
    "REPEAT_BRIEF": "YES",
    "ABBREVIATE_BRIEF": [
        "The $name class",
        "The $name widget",
        "The $name file",
        "is",
        "provides",
        "specifies",
        "contains",
        "represents",
        "a",
        "an",
        "the",
    ],
    "ALWAYS_DETAILED_SEC": "NO",
    "INLINE_INHERITED_MEMB": "NO",
    "FULL_PATH_NAMES": "YES",
    "SHORT_NAMES": "NO",
    "JAVADOC_AUTOBRIEF": "NO",
    "JAVADOC_BANNER": "NO",
    "QT_AUTOBRIEF": "NO",
    "MULTILINE_CPP_IS_BRIEF": "NO",
    "PYTHON_DOCSTRING": "YES",
    "INHERIT_DOCS": "YES",
    "SEPARATE_MEMBER_PAGES": "NO",
    "TAB_SIZE": "4",
    "OPTIMIZE_OUTPUT_FOR_C": "NO",
    "OPTIMIZE_OUTPUT_JAVA": "NO",
    "OPTIMIZE_FOR_FORTRAN": "NO",
    "OPTIMIZE_OUTPUT_VHDL": "NO",
    "OPTIMIZE_OUTPUT_SLICE": "NO",
    "MARKDOWN_SUPPORT": "YES",
    "TOC_INCLUDE_HEADINGS": "0",
    "AUTOLINK_SUPPORT": "YES",
    "BUILTIN_STL_SUPPORT": "NO",
    "CPP_CLI_SUPPORT": "NO",
    "SIP_SUPPORT": "NO",
    "IDL_PROPERTY_SUPPORT": "YES",
    "DISTRIBUTE_GROUP_DOC": "NO",
    "GROUP_NESTED_COMPOUNDS": "NO",
    "SUBGROUPING": "YES",
    "INLINE_GROUPED_CLASSES": "NO",
    "INLINE_SIMPLE_STRUCTS": "NO",
    "TYPEDEF_HIDES_STRUCT": "NO",
    "LOOKUP_CACHE_SIZE": "0",
    "NUM_PROC_THREADS": "0",
    "EXTRACT_ALL": "NO",
    "EXTRACT_PRIVATE": "NO",
    "EXTRACT_PRIV_VIRTUAL": "NO",
    "EXTRACT_PACKAGE": "NO",
    "EXTRACT_STATIC": "NO",
    "EXTRACT_LOCAL_CLASSES": "YES",
    "EXTRACT_LOCAL_METHODS": "NO",
    "EXTRACT_ANON_NSPACES": "NO",
    "RESOLVE_UNNAMED_PARAMS": "YES",
    "HIDE_UNDOC_MEMBERS": "NO",
    "HIDE_UNDOC_CLASSES": "NO",
    "HIDE_FRIEND_COMPOUNDS": "NO",
    "HIDE_IN_BODY_DOCS": "NO",
    "INTERNAL_DOCS": "NO",
    "CASE_SENSE_NAMES": "YES",
    "HIDE_SCOPE_NAMES": "NO",
    "HIDE_COMPOUND_REFERENCE": "NO",
    "SHOW_INCLUDE_FILES": "YES",
    "SHOW_GROUPED_MEMB_INC": "NO",
    "FORCE_LOCAL_INCLUDES": "NO",
    "INLINE_INFO": "YES",
    "SORT_MEMBER_DOCS": "YES",
    "SORT_BRIEF_DOCS": "NO",
    "ST": "NO",
    "SORT_GROUP_NAMES": "NO",
    "SORT_BY_SCOPE_NAME": "NO",
    "STRICT_PROTO_MATCHING": "NO",
    "GENERATE_TODOLIST": "YES",
    "GENERATE_TESTLIST": "YES",
    "GENERATE_BUGLIST": "YES",
    "GENERATE_DEPRECATEDLIST": "YES",
    "MAX_INITIALIZER_LINES": "30",
    "SHOW_USED_FILES": "YES",
    "SHOW_FILES": "YES",
    "SHOW_NAMESPACES": "YES",
    "QUIET": "NO",
    "WARNINGS": "YES",
    "WARN_IF_UNDOCUMENTED": "YES",
    "WARN_IF_DOC_ERROR": "YES",
    "WARN_NO_PARAMDOC": "NO",
    "WARN_AS_ERROR": "NO",
    "WARN_FORMAT": "$file:$line: $text",
    "INPUT_ENCODING": "UTF-8",
    "FILE_PATTERNS": [
        "*.c",
        "*.cc",
        "*.cxx",
        "*.cpp",
        "*.c++",
        "*.java",
        "*.ii",
        "*.ixx",
        "*.ipp",
        "*.i++",
        "*.inl",
        "*.idl",
        "*.ddl",
        "*.odl",
        "*.h",
        "*.hh",
        "*.hxx",
        "*.hpp",
        "*.h++",
        "*.cs",
        "*.d",
        "*.php",
        "*.php4",
        "*.php5",
        "*.phtml",
        "*.inc",
        "*.m",
        "*.markdown",
        "*.md",
        "*.mm",
        "*.dox",
        "*.py",
        "*.pyw",
        "*.f90",
        "*.f95",
        "*.f03",
        "*.f08",
        "*.f",
        "*.for",
        "*.tcl",
        "*.vhd",
        "*.vhdl",
        "*.ucf",
        "*.qsf",
    ],
    "RECURSIVE": "YES",
    "EXCLUDE_SYMLINKS": "NO",
    "EXAMPLE_PATTERNS": "*",
    "EXAMPLE_RECURSIVE": "NO",
    "FILTER_SOURCE_FILES": "NO",
    "SOURCE_BROWSER": "NO",
    "INLINE_SOURCES": "NO",
    "STRIP_CODE_COMMENTS": "YES",
    "REFERENCED_BY_RELATION": "NO",
    "REFERENCES_RELATION": "NO",
    "REFERENCES_LINK_SOURCE": "YES",
    "SOURCE_TOOLTIPS": "YES",
    "USE_HTAGS": "NO",
    "VERBATIM_HEADERS": "YES",
    "CLANG_ASSISTED_PARSING": "NO",
    "CLANG_ADD_INC_PATHS": "YES",
    "ALPHABETICAL_INDEX": "YES",
    "GENERATE_HTML": "YES",
    "HTML_OUTPUT": "html",
    "HTML_FILE_EXTENSION": ".html",
    "HTML_COLORSTYLE_HUE": "220",
    "HTML_COLORSTYLE_SAT": "100",
    "HTML_COLORSTYLE_GAMMA": "80",
    "HTML_TIMESTAMP": "NO",
    "HTML_DYNAMIC_MENUS": "YES",
    "HTML_DYNAMIC_SECTIONS": "NO",
    "HTML_INDEX_NUM_ENTRIES": "100",
    "GENERATE_DOCSET": "NO",
    "DOCSET_FEEDNAME": "Doxygen generated docs",
    "DOCSET_BUNDLE_ID": "org.doxygen.Project",
    "DOCSET_PUBLISHER_ID": "org.doxygen.Publisher",
    "DOCSET_PUBLISHER_NAME": "Publisher",
    "GENERATE_HTMLHELP": "NO",
    "GENERATE_CHI": "NO",
    "BINARY_TOC": "NO",
    "TOC_EXPAND": "NO",
    "GENERATE_QHP": "NO",
    "QHP_NAMESPACE": "org.doxygen.Project",
    "QHP_VIRTUAL_FOLDER": "doc",
    "GENERATE_ECLIPSEHELP": "NO",
    "ECLIPSE_DOC_ID": "org.doxygen.Project",
    "DISABLE_INDEX": "NO",
    "GENERATE_TREEVIEW": "NO",
    "ENUM_VALUES_PER_LINE": "4",
    "TREEVIEW_WIDTH": "250",
    "EXT_LINKS_IN_WINDOW": "NO",
    "HTML_FORMULA_FORMAT": "png",
    "FORMULA_FONTSIZE": "10",
    "FORMULA_TRANSPARENT": "YES",
    "USE_MATHJAX": "NO",
    "MATHJAX_FORMAT": "HTML-CSS",
    "MATHJAX_RELPATH": "http://cdn.mathjax.org/mathjax/latest",
    "SEARCHENGINE": "NO",
    "SERVER_BASED_SEARCH": "NO",
    "EXTERNAL_SEARCH": "NO",
    "SEARCHDATA_FILE": "searchdata.xml",
    "GENERATE_LATEX": "NO",
    "LATEX_OUTPUT": "latex",
    "MAKEINDEX_CMD_NAME": "makeindex",
    "LATEX_MAKEINDEX_CMD": "makeindex",
    "COMPACT_LATEX": "NO",
    "PAPER_TYPE": "a4",
    "PDF_HYPERLINKS": "YES",
    "USE_PDFLATEX": "YES",
    "LATEX_BATCHMODE": "NO",
    "LATEX_HIDE_INDICES": "NO",
    "LATEX_BIB_STYLE": "plain",
    "LATEX_TIMESTAMP": "NO",
    "GENERATE_RTF": "NO",
    "RTF_OUTPUT": "rtf",
    "COMPACT_RTF": "NO",
    "RTF_HYPERLINKS": "NO",
    "GENERATE_MAN": "NO",
    "MAN_OUTPUT": "man",
    "MAN_EXTENSION": ".3",
    "MAN_LINKS": "NO",
    "GENERATE_XML": "NO",
    "XML_OUTPUT": "xml",
    "XML_PROGRAMLISTING": "YES",
    "XML_NS_MEMB_FILE_SCOPE": "NO",
    "GENERATE_DOCBOOK": "NO",
    "DOCBOOK_OUTPUT": "docbook",
    "GENERATE_AUTOGEN_DEF": "NO",
    "GENERATE_PERLMOD": "NO",
    "PERLMOD_LATEX": "NO",
    "PERLMOD_PRETTY": "YES",
    "ENABLE_PREPROCESSING": "YES",
    "MACRO_EXPANSION": "NO",
    "EXPAND_ONLY_PREDEF": "NO",
    "SEARCH_INCLUDES": "YES",
    "SKIP_FUNCTION_MACROS": "YES",
    "ALLEXTERNALS": "NO",
    "EXTERNAL_GROUPS": "YES",
    "EXTERNAL_PAGES": "YES",
    "HIDE_UNDOC_RELATIONS": "YES",
    "HAVE_DOT": "YES",
    "DOT_NUM_THREADS": "0",
    "DOT_FONTNAME": "Helvetica",
    "DOT_FONTSIZE": "10",
    "CLASS_GRAPH": "YES",
    "COLLABORATION_GRAPH": "YES",
    "GROUP_GRAPHS": "YES",
    "UML_LOOK": "NO",
    "UML_LIMIT_NUM_FIELDS": "10",
    "DOT_UML_DETAILS": "NO",
    "DOT_WRAP_THRESHOLD": "17",
    "TEMPLATE_RELATIONS": "NO",
    "INCLUDE_GRAPH": "YES",
    "INCLUDED_BY_GRAPH": "YES",
    "CALL_GRAPH": "NO",
    "CALLER_GRAPH": "NO",
    "GRAPHICAL_HIERARCHY": "YES",
    "DIRECTORY_GRAPH": "YES",
    "DOT_IMAGE_FORMAT": "svg",
    "INTERACTIVE_SVG": "YES",
    "DOT_GRAPH_MAX_NODES": "50",
    "MAX_DOT_GRAPH_DEPTH": "0",
    "DOT_TRANSPARENT": "YES",
    "DOT_MULTI_TARGETS": "NO",
    "GENERATE_LEGEND": "YES",
    "DOT_CLEANUP": "YES",
    "OUTPUT_DIRECTORY": "docs/doxygen/demo",
    "ALIASES": ["rst=\\verbatim embed:rst:leading-asterisk", "endrst=\\endverbatim"],
    "INPUT": "demo/demo",
    "IMAGE_PATH": "demo/demo/images",
    "USE_MDFILE_AS_MAINPAGE": "readme.md",
    "HTML_EXTRA_STYLESHEET": "external/doxygen-awesome-css/doxygen-awesome.css",
    "LATEX_CMD_NAME": "latex",
    "GENERATE_TAGFILE": "docs/doxygen/demo/html/tagfile.xml",
    "SHOW_HEADERFILE": "YES",
    "WARN_IF_INCOMPLETE_DOC": "YES",
    "FULL_SIDEBAR": "NO",
    "OBFUSCATE_EMAILS": "YES",
    "MATHJAX_VERSION": "MathJax_2",
    "DIR_GRAPH_MAX_DEPTH": "1",
}
